# Interface DocumentAdapter

public interface DocumentAdapter

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`String`
`getIncludedScript(String srcAttribute)`
Returns the contents of an included script, given its src attribute.
`ScriptingHandler`
`getScriptingHandler()`
Returns the Scriptable object associated with the document
`void`
`setDocument(org.w3c.dom.html.HTMLDocument document)`
Records the root (Document) node.

## Method Details

### setDocument

void setDocument(org.w3c.dom.html.HTMLDocument document)
Records the root (Document) node.

### getIncludedScript

String getIncludedScript(String srcAttribute) throws IOException
Returns the contents of an included script, given its src attribute.

Parameters:
  `srcAttribute` - the relative URL for the included script
Returns:
  the contents of the script.
Throws:
  `IOException` - if there is a problem retrieving the script

### getScriptingHandler

ScriptingHandler getScriptingHandler()
Returns the Scriptable object associated with the document